// ***************************************************************
// This file was created using the CreateProject.sh script.
// CreateProject.sh is part of Bayesian Analysis Toolkit (BAT).
// BAT can be downloaded from http://www.mppmu.mpg.de/bat
// ***************************************************************

#ifndef __BAT__XSECCOMBIMODEL__H
#define __BAT__XSECCOMBIMODEL__H

#include <BAT/BCModel.h>

// This is a XSecCombiModel header file.
// Model source code is located in file XSecCombiModel/XSecCombiModel.cxx

// ---------------------------------------------------------
class XSecCombiModel : public BCModel
{
 public:

  // Constructors and destructor
  XSecCombiModel();
  XSecCombiModel(const char * name);
  ~XSecCombiModel();
  
  // Methods to overload, see file XSecCombiModel.cxx
  void DefineParameters();
  double LogAPrioriProbability(const std::vector<double> &parameters);
  double LogLikelihood(const std::vector<double> &parameters);
  // void MCMCIterationInterface();
  
 protected:
  
  double fEfficiencyMu;
  double fEfficiencyE;
  double fLuminosity;
  double fErrorEfficiencyMu;
  double fErrorEfficiencyE;
  double fNobsMu;
  double fNobsE;

};
// ---------------------------------------------------------

#endif

